docker-py
=========

|Build Status|

A Python library for the Docker Remote API. It does everything the
``docker`` command does, but from within Python – run containers, manage
them, pull/push images, etc.

Installation
------------

The latest stable version is always available on PyPi.

::

    pip install docker-py

Documentation
-------------

|Documentation Status|

`Read the full documentation
here <https://docker-py.readthedocs.io/en/latest/>`__. The source is
available in the ``docs/`` directory.

License
-------

Docker is licensed under the Apache License, Version 2.0. See LICENSE
for full license text

.. |Build Status| image:: https://travis-ci.org/docker/docker-py.png
   :target: https://travis-ci.org/docker/docker-py
.. |Documentation Status| image:: https://readthedocs.org/projects/docker-py/badge/?version=latest
   :target: https://readthedocs.org/projects/docker-py/?badge=latest
